Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.teststeps
Class PropertiesStepPanelBuilder

    java.lang.Object
      com.eviware.soapui.impl.EmptyPanelBuilder<WsdlPropertiesTestStep>
          com.eviware.soapui.impl.wsdl.panels.teststeps.PropertiesStepPanelBuilder

All Implemented Interfaces:
  PanelBuilder<WsdlPropertiesTestStep>

    public class PropertiesStepPanelBuilder

extends EmptyPanelBuilder<WsdlPropertiesTestStep>

PanelBuilder for WsdlPropertiesTestStep

Author:
  Ole.Matzura

Constructor Summary
`PropertiesStepPanelBuilder()`

Method Summary
`DesktopPanel` | `buildDesktopPanel(WsdlPropertiesTestStep testStep)`
`javax.swing.JPanel` | `buildOverviewPanel(WsdlPropertiesTestStep testStep)`
`boolean` | `hasDesktopPanel()`
`boolean` | `hasOverviewPanel()`

Methods inherited from class com.eviware.soapui.impl.EmptyPanelBuilder
`buildDefaultProperties, get`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesStepPanelBuilder

    public PropertiesStepPanelBuilder()

Method Detail

### buildDesktopPanel

    public DesktopPanel buildDesktopPanel(WsdlPropertiesTestStep testStep)

  Specified by:
    `buildDesktopPanel` in interface `PanelBuilder<WsdlPropertiesTestStep>`
  Overrides:
    `buildDesktopPanel` in class `EmptyPanelBuilder<WsdlPropertiesTestStep>`

### hasDesktopPanel

    public boolean hasDesktopPanel()

  Specified by:
    `hasDesktopPanel` in interface `PanelBuilder<WsdlPropertiesTestStep>`
  Overrides:
    `hasDesktopPanel` in class `EmptyPanelBuilder<WsdlPropertiesTestStep>`

### buildOverviewPanel

    public javax.swing.JPanel buildOverviewPanel(WsdlPropertiesTestStep testStep)

  Specified by:
    `buildOverviewPanel` in interface `PanelBuilder<WsdlPropertiesTestStep>`
  Overrides:
    `buildOverviewPanel` in class `EmptyPanelBuilder<WsdlPropertiesTestStep>`

### hasOverviewPanel

    public boolean hasOverviewPanel()

  Specified by:
    `hasOverviewPanel` in interface `PanelBuilder<WsdlPropertiesTestStep>`
  Overrides:
    `hasOverviewPanel` in class `EmptyPanelBuilder<WsdlPropertiesTestStep>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.